Subject: bug#54698: non-recursive GC marking [PATCH]

From: Andrea Corallo <[email-masked]>
Date: Mon, 04 Apr 2022 15:44:32 +0000

Mattias Engdegård <[email-masked]> writes:

> 4 apr. 2022 kl. 16.32 skrev Andrea Corallo <[email-masked]>:
>
>> do you have any other performance measure for cases different than the
>> one mentioned?
>
> Well, there is the usual collection of special-purpose benchmarks, and
> I also timed the GC after a precise set of interactions involving
> scrolling through xdisp.c and typecore.ml, as well as running
> magit. And ran Relint, and a few more things I can't remember. The
> numbers were all largely consistent, but I encourage you to run your
> fav workload.
>
> Anything particular on your mind?

We have some benchmarks in elisp-benchmarks that is GC bounded (IIRC
nbody at least), I guess would be worth running.

Thanks

  Andrea